Mangools/API

Get latest used requests

Get the history of your recent backlink lookups performed through /linkminer/links. Each entry includes the target URL, source type (all / new / lost) and the links_per_domain parameter that was used — useful for rebuilding a "recent searches" panel in a client.

GET
/linkminer/requests

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Query Parameters

limit*integer

Limit number of result, max 25

Response Body

application/json

application/json

curl -X GET "https://api.mangools.com/v3/linkminer/requests?limit=0"
{
  "url_type": "URL",
  "available_links": 804,
  "links": [
    {
      "source": "https://sourceexample.com",
      "target": "https://targetexample.com",
      "title": "Linux Systems Analyst",
      "url": "https://targetexample.com",
      "type": "TextLink",
      "anchor": "targetexample.com",
      "last_crawl": "2021-04-07",
      "first_seen": "2021-04-07",
      "last_seen": "2021-04-07",
      "source_tf": 14,
      "source_cf": 14,
      "target_tf": 14,
      "target_cf": 14,
      "redirect": false,
      "frame": false,
      "no_follow": false,
      "image": false,
      "alt": false,
      "deleted": false,
      "reason_lost": "null",
      "category": "null",
      "lang": "en",
      "internal_links": 11,
      "external_links": 35,
      "fb": "null",
      "ar": "null",
      "ls": 35,
      "_id": "c1030729bd419e238a1e50351361fa56",
      "domainId": "sourceexample.com"
    }
  ]
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}